org.eclipse.jdt.core.refactoring.participants

## Class ChangeMethodSignatureParticipant

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.ltk.core.refactoring.participants.RefactoringParticipant
    - - org.eclipse.jdt.core.refactoring.participants.ChangeMethodSignatureParticipant

All Implemented Interfaces:
  IAdaptable

    public abstract class ChangeMethodSignatureParticipant
    extends RefactoringParticipant

A participant to participate in refactorings that change method signatures.

Change method signature participants are registered via the extension point `org.eclipse.jdt.core.manipulation.changeMethodSignatureParticipants`. Extensions to this extension point must extend this abstract class.

Since:
  1.2

### Constructor Summary

Constructors
Constructor and Description
`ChangeMethodSignatureParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ChangeMethodSignatureArguments` `getArguments()` Returns the change method signature arguments.
`protected void` `initialize(RefactoringArguments arguments)`

### Methods inherited from class org.eclipse.ltk.core.refactoring.participants.RefactoringParticipant

`checkConditions, createChange, createPreChange, getName, getProcessor, getTextChange, initialize, initialize`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChangeMethodSignatureParticipant

    public ChangeMethodSignatureParticipant()

### Method Detail

#### initialize

    protected final void initialize(RefactoringArguments arguments)

Specified by:
  `initialize` in class `RefactoringParticipant`

#### getArguments

    public ChangeMethodSignatureArguments getArguments()

Returns the change method signature arguments.

Returns:
  the change method signature arguments